﻿$packageName = 'sqlserver2012express-engine'
$installerType = 'EXE'
$url = 'http://download.microsoft.com/download/8/D/D/8DD7BDBA-CEF7-4D8E-8C16-D9F69527F909/ENU/x86/SQLEXPR_x86_ENU.exe'
$url64 = 'http://download.microsoft.com/download/8/D/D/8DD7BDBA-CEF7-4D8E-8C16-D9F69527F909/ENU/x64/SQLEXPR_x64_ENU.exe'
$silentArgs = '/Action=Install /INSTANCENAME=SQLEXPRESS /Role=AllFeatures_WithDefaults /IACCEPTSQLSERVERLICENSETERMS /Hideconsole /Q'
$validExitCodes = @(0)
$InstallerLogLocation = "$env:temp\sql2012setup.log"

Try 
  {
  Install-ChocolateyPackage "$packageName" "$installerType" "$silentArgs" "$url" "$url64"  -validExitCodes $validExitCodes
  }

Catch 
  {
  "The installation of $packageName failed, please see installer log files at `"C:\Program Files\Microsoft SQL Server\100\Setup Bootstrap\Log`" and `"$InstallerLogLocation`" for more details." | write-host -foregroundcolor yellow
  }
  
If (Test-Path "$env:temp\chocolatey\$packageName") {Remove-Item "$env:temp\chocolatey\$packageName" -Recurse -Force}